org.apache.ode.bpel.elang.xpath10.compiler

## Class XPath10ExpressionCompilerBPEL11

- java.lang.Object
- - org.apache.ode.bpel.elang.xpath10.compiler.XPath10ExpressionCompilerImpl
  - - org.apache.ode.bpel.elang.xpath10.compiler.XPath10ExpressionCompilerBPEL11

- All Implemented Interfaces:
    ExpressionCompiler

      public class XPath10ExpressionCompilerBPEL11
      extends XPath10ExpressionCompilerImpl

  XPath 1.0 expression compiler for BPEL v1.1.

- - ### Field Summary

    - ### Fields inherited from class org.apache.ode.bpel.elang.xpath10.compiler.XPath10ExpressionCompilerImpl

      `_compilerContext, _properties, _qnFnGetLinkStatus, _qnFnGetVariableData, _qnFnGetVariableProperty`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `XPath10ExpressionCompilerBPEL11()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `OExpression` | `compile(java.lang.Object source)` Compile an expression into a `OExpression` object.
    `OExpression` | `compileJoinCondition(java.lang.Object source)` Compile a join condition into a `OExpression` object.
    `OLValueExpression` | `compileLValue(java.lang.Object source)` Compile an lvalue (the 'to' of an assignment) into a `OLValueExpression` object.

    - ### Methods inherited from class org.apache.ode.bpel.elang.xpath10.compiler.XPath10ExpressionCompilerImpl

      `doJaxenCompile, getProperties, setCompilerContext`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### XPath10ExpressionCompilerBPEL11

          public XPath10ExpressionCompilerBPEL11()

  - ### Method Detail

    - #### compileJoinCondition

          public OExpression compileJoinCondition(java.lang.Object source)
                                           throws CompilationException

      Description copied from interface: `ExpressionCompiler`
      Compile a join condition into a `OExpression` object.
      Returns:
      Throws:
        `CompilationException`
      See Also:
        `ExpressionCompiler.compileJoinCondition(java.lang.Object)`

    - #### compileLValue

          public OLValueExpression compileLValue(java.lang.Object source)
                                          throws CompilationException

      Description copied from interface: `ExpressionCompiler`
      Compile an lvalue (the 'to' of an assignment) into a `OLValueExpression` object.
      Returns:
      Throws:
        `CompilationException`

    - #### compile

          public OExpression compile(java.lang.Object source)
                              throws CompilationException

      Description copied from interface: `ExpressionCompiler`
      Compile an expression into a `OExpression` object.
      Returns:
      Throws:
        `CompilationException`
      See Also:
        `ExpressionCompiler.compile(java.lang.Object)`